# Type alias PathFinderOptions<TEdgeReduce, TProperties>

PathFinderOptions<TEdgeReduce, TProperties>: {
compact?: boolean;
key?: ((coordinates: Position) => string);
progress?: ((type: string, completed: number, total: number) => void);
tolerance?: number;
weight?: ((a: Position, b: Position, properties: TProperties) => number | {
backward: number;
forward: number;
} | undefined);
} & ({
edgeDataReducer: ((seed: TEdgeReduce, modifier: TEdgeReduce) => TEdgeReduce);
edgeDataSeed: ((properties: TProperties) => TEdgeReduce);
} | {})

#### Type Parameters

- #### TEdgeReduce

- #### TProperties

- Defined in types.ts:48

Generated using TypeDoc